location_info.h(3)

NAME
location_info.h -

The internal representation of caller location information.

SYNOPSIS

#include <log4c/defs.h>

  Data Structures

struct log4c_location_info_t
logging location information

  Defines

#define LOG4C_LOCATION_INFO_INITIALIZER(user_data) { __FILE__, __LINE__, '(nil)', user_data }
#define log4c_location __log4c_location(__LINE__)

Detailed Description

The internal representation of caller location information.

When a affirmative logging decision is made a log4c_location_info_t is created and is passed around the different log4c components.

Define Documentation

  #define log4c_location __log4c_location(__LINE__) This macro returns the literal representation of a logging event location

  #define LOG4C_LOCATION_INFO_INITIALIZER(user_data) { __FILE__, __LINE__, '(nil)', user_data } log4c_location_info_t initializer

Author

Generated automatically by Doxygen for log4c from the source code.